# Interface NavigationNode

All Known Implementing Classes:
  `Page, PageGroup`

public interface NavigationNode

## Method Summary

Modifier and Type
Method
Description
`String`
`asParentLink()`
`String`
`getFullTitle()`
`String`
`getShortTitle()`
`String`
`getURL()`
`void`
`setParent(NavigationNode parent)`
Sets the page's parent.
`void`
`setShowLinkToPreviousSibling(boolean showLink)`
`void`
`setSiblings(String siblingsTitle, List siblingPages)`
Sets a list of `Page`s that are siblings of this page.
`void`
`write()`

## Method Details

### setParent

void setParent(NavigationNode parent)
Sets the page's parent. The generated page will link back to the parent.

### setSiblings

void setSiblings(String siblingsTitle, List siblingPages)
Sets a list of `Page`s that are siblings of this page. The generated page will contain a navigation list that links to all siblings. The sibling list may contain the page itself.

Parameters:
  `siblingsTitle` - Title for navigation list, e.g. "Monthly Reports"
  `sibling` - A list of `Page`s

### setShowLinkToPreviousSibling

void setShowLinkToPreviousSibling(boolean showLink)

### getURL

String getURL()

### getShortTitle

String getShortTitle()

### getFullTitle

String getFullTitle()

### write

void write()

### asParentLink

String asParentLink()